#if !defined(AFX_CLIENTSOCK_H__AB4FA16B_A388_11D5_9750_00E07DA18C35__INCLUDED_)
#define AFX_CLIENTSOCK_H__AB4FA16B_A388_11D5_9750_00E07DA18C35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClientSock.h : header file
//

class CChatSDoc;

/////////////////////////////////////////////////////////////////////////////
// CClientSock command target

class CClientSock : public CSocket
{
private:
	CClientSock();

	CChatSDoc* m_pDoc;
	CString m_sReceiveBuffer;
	CString m_sReadyLine;
	CString m_sNick;
	BOOL m_bJoined;

// Attributes
public:

// Operations
public:
	CClientSock(CChatSDoc* pDoc);
	virtual ~CClientSock();

// Overrides
public:
	BOOL SendString(const CString& rsString);

	void SetClientNick(const CString& rsNick);
	CString GetClientNick(void) const;

	void SetJoined(BOOL bJoined=TRUE);
	BOOL IsJoined() const;

	CString GetClientIP();

	CString GetBuffer() const;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientSock)
	public:
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CClientSock)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENTSOCK_H__AB4FA16B_A388_11D5_9750_00E07DA18C35__INCLUDED_)
